﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System.Drawing.Drawing2D;

namespace BorderIssue
{
    public partial class Form1 : RibbonForm
    {

        #region Constructor
        public Form1()
        {
            InitializeComponent();
            this.statusStripEx1.Paint += new PaintEventHandler(statusStripEx1_Paint);
            this.EnableAeroTheme = false;
        }
        #endregion

        #region Event
        void statusStripEx1_Paint(object sender, PaintEventArgs e)
        {
            Point[] polypoints = RendererUtils.GetRoundedPolygon(new Rectangle(e.ClipRectangle.X, e.ClipRectangle.Y, e.ClipRectangle.Width, e.ClipRectangle.Height), 0);
            GraphicsPath path = new GraphicsPath();
            path.AddPolygon(polypoints);
            Pen pen = new Pen(this.ribbonControlAdv1.MenuColor);
            e.Graphics.DrawPath(pen, path);
            e.Graphics.DrawLine(new Pen(this.BackColor), new Point(e.ClipRectangle.X, e.ClipRectangle.Y), new Point(e.ClipRectangle.X + e.ClipRectangle.Width, e.ClipRectangle.Y));
            e.Graphics.DrawLine(new Pen(this.statusStripEx1.BackColor), new Point(e.ClipRectangle.X + e.ClipRectangle.Width - 1, e.ClipRectangle.Y), new Point(e.ClipRectangle.X + e.ClipRectangle.Width - 1, e.ClipRectangle.Y + e.ClipRectangle.Height - 4));
            e.Graphics.DrawLine(new Pen(this.statusStripEx1.BackColor), new Point(e.ClipRectangle.X, e.ClipRectangle.Y), new Point(e.ClipRectangle.X, e.ClipRectangle.Y + e.ClipRectangle.Height - 5));
            e.Graphics.DrawLine(new Pen(this.statusStripEx1.BackColor), new Point(e.ClipRectangle.X + 5, e.ClipRectangle.Y + e.ClipRectangle.Height - 1), new Point(e.ClipRectangle.X + e.ClipRectangle.Width - 5, e.ClipRectangle.Y + e.ClipRectangle.Height - 1));
        }

        private void toolStripComboBoxEx1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (this.toolStripComboBoxEx1.SelectedIndex == 0)
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2007;
            else if (this.toolStripComboBoxEx1.SelectedIndex == 1)
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2010;
            else if (this.toolStripComboBoxEx1.SelectedIndex == 2)
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2013;
            else if (this.toolStripComboBoxEx1.SelectedIndex == 3)
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.TouchStyle;
        }
        #endregion

       

    }
}
